Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.service
Class RemoteResource

    java.lang.Object
      |
      +--weblogic.security.service.ResourceBase
            |
            +--weblogic.security.service.RemoteResource

public final class RemoteResource
extends ResourceBase

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Constructor Summary
`RemoteResource(java.lang.String protocol, java.lang.String remoteHost, java.lang.String remotePort, java.lang.String path, java.lang.String method)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this resource to the resource in the specified object.
`int` | `getFieldType(java.lang.String fieldName)`
`java.lang.String[]` | `getKeys()` Gets keys for the `Remoteresource`.
`java.lang.String` | `getMethod()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getRemoteHost()`
`java.lang.String` | `getRemotePort()`
`int` | `getRepeatingFieldIndex()`
`int` | `getRepeatingFieldTerminatingIndex()`
`java.lang.String` | `getType()` Gets the type of this resource (`RemoteResource`).
`protected void` | `init(java.lang.String[] values, int len, long seed, java.lang.String method, boolean showAction)`
`protected Resource` | `makeParent()`
`protected void` | `writeResourceString(java.lang.StringBuffer buf)`

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, getID, getParentResource, getValues, hashCode, init, init, reset, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteResource

    public RemoteResource(java.lang.String protocol,
                          java.lang.String remoteHost,
                          java.lang.String remotePort,
                          java.lang.String path,
                          java.lang.String method)

Method Detail

### init

    protected void init(java.lang.String[] values,
                        int len,
                        long seed,
                        java.lang.String method,
                        boolean showAction)

### getType

    public java.lang.String getType()

  Gets the type of this resource (`RemoteResource`).

  Returns:
    the type of this resource, represented as a String.

### makeParent

    protected Resource makeParent()

  Overrides:
    makeParent in class ResourceBase

### getKeys

    public java.lang.String[] getKeys()

  Gets keys for the `Remoteresource`.

  Returns:
    an array of Strings containing the `RemoteResource`'s keys.

  Overrides:
    getKeys in class ResourceBase

### getFieldType

    public int getFieldType(java.lang.String fieldName)

  Overrides:
    getFieldType in class ResourceBase

### getRepeatingFieldIndex

    public int getRepeatingFieldIndex()

  Overrides:
    getRepeatingFieldIndex in class ResourceBase

### getRepeatingFieldTerminatingIndex

    public int getRepeatingFieldTerminatingIndex()

  Overrides:
    getRepeatingFieldTerminatingIndex in class ResourceBase

### getProtocol

    public java.lang.String getProtocol()

### getRemoteHost

    public java.lang.String getRemoteHost()

### getRemotePort

    public java.lang.String getRemotePort()

### getPath

    public java.lang.String getPath()

### getMethod

    public java.lang.String getMethod()

### equals

    public boolean equals(java.lang.Object obj)

  Compares this resource to the resource in the specified object.

  Parameters:
    `obj` - the other resource with which to compare this resource.

  Returns:
    `TRUE` if the resource passed in matches this resource, and `FALSE` otherwise.

  Overrides:
    equals in class ResourceBase
  See Also:
    `Object.equals(Object)`

### writeResourceString

    protected void writeResourceString(java.lang.StringBuffer buf)

  Overrides:
    writeResourceString in class ResourceBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD